Get a transaction
curl --request GET \
--url https://partners-api.sandbox.securitize.io/v1/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners-api.sandbox.securitize.io/v1/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners-api.sandbox.securitize.io/v1/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "90001",
"tokenId": "d1dbb6b6-3bda-48f2-b86e-c87610db1ae1",
"tokenIssuanceId": "3697998",
"type": "issuance",
"processType": "subscription",
"amount": "5000000000000",
"decimals": 6,
"txHash": "0x9f2c4e1b7a3d5c6e8f0a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f6a",
"txIdLink": "https://etherscan.io/tx/0x9f2c4e1b7a3d5c6e8f0a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f6a",
"symbol": "XTF",
"blockchainNetwork": "ethereum",
"closedTimestamp": "2026-05-07T16:24:26.000Z",
"sender": null,
"receiver": {
"walletAddress": "0x5e7a1b2c3d4e5f60718293a4b5c6d7e8f90ac91d"
}
}Transactions
Get a transaction
One token transaction by its id: the data.id of an investor.transaction.processed webhook. A transaction you are neither the sender nor the receiver of answers 404, the same as an id that does not exist.
GET
/
transactions
/
{transactionId}
Get a transaction
curl --request GET \
--url https://partners-api.sandbox.securitize.io/v1/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partners-api.sandbox.securitize.io/v1/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://partners-api.sandbox.securitize.io/v1/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "90001",
"tokenId": "d1dbb6b6-3bda-48f2-b86e-c87610db1ae1",
"tokenIssuanceId": "3697998",
"type": "issuance",
"processType": "subscription",
"amount": "5000000000000",
"decimals": 6,
"txHash": "0x9f2c4e1b7a3d5c6e8f0a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f6a",
"txIdLink": "https://etherscan.io/tx/0x9f2c4e1b7a3d5c6e8f0a1b2c3d4e5f60718293a4b5c6d7e8f90a1b2c3d4e5f6a",
"symbol": "XTF",
"blockchainNetwork": "ethereum",
"closedTimestamp": "2026-05-07T16:24:26.000Z",
"sender": null,
"receiver": {
"walletAddress": "0x5e7a1b2c3d4e5f60718293a4b5c6d7e8f90ac91d"
}
}Authorizations
Response
The transaction.
Why the transaction happened. subscription: tokens issued for your cash. reinvest: tokens issued for a distribution you reinvest. primary-redemption and redemption-requested: your transfer that starts a redemption. Other lowercase, hyphenated values can appear for other movements: treat one you do not know as informational.
Example:
"subscription"